+++
title = "Intermediating during change"
date = 2020-05-23
[taxonomies]
tags = [
    "management",
    "mediation",
    "empathy",
    "change",
    "learning",
]
+++
# Managing change

A significant portion of my job these days is to act as an intermediator during change.

> intermediate: 
> verb (used without object)
> 1. to act as an intermediary; intervene; mediate. [Dictionary.com](https://www.dictionary.com/browse/intermediator)

I stand between upper management and the teams that report to me. I mediate the
interaction between them. My role is one of translator, shield, and
understand-er in chief. I am the primary way that my direct reports understand
the goals, needs, and requirements of the company they work for. I'm also the
way that the company understands the mood, needs, and capabilities of the
people they have employed. This is, to say the least, the most exhausting and
yet in some ways most fulfilling part of my job.


If you work somewhere for long enough eventually you'll see a negative
narrative start to form. A policy change will strike people the wrong way. A
technology choice will be made that others disagree with. The triggering event
could be anything. But the effect will be somewhat predictable. Confusion,
feeling they are ignored, anger, resentment, all might start manifesting in
your team. If you let those feelings stay there then they'll fester and before
long you'll have a team of negative attitudes on your hands. As a manager you
can be reactive to these events and find yourself playing catch up continually
or you can be proactive and manage the impact that these decisions will have on
your team.

## Planned Change

Your goal in managing change is to be proactive. If a change is coming to my
team and I've been made aware of it I need to take some steps to ensure the
health of my team as the change is happening. My first task is to understand
the change and what is motivating it. What is behind the change? Why does the
company find it necessary. What will be the impact on my team of this change. I
need to be empathetic to both the company and my team. Most change is motivated
by something but those motivations aren't always clearly communicated. My job
is to understand those motivations so that I can clearly explain them to the
team. No one likes change for no clear gain. But most people can get behind a
change with clear reasons behind them.

My next task is to understand the impact this will have on my team. What
questions are they likely to have? Will there be undesirable impacts that
management may be unaware of? If you can anticipate those questions or
potential setbacks you will go a long way to easing everyone's minds. It's
crucial that management knows you understand the impacts these changes will
have on the team and can communicate them back to them. It's also important
that your team knows you are already proactively managing that impact on them.
If the change is going to slow them down and you've already let management know
to expect that then your team is going be less anxious about that change
affecting their standing at the company.

Once I understand the change that's coming, it's motivation, and it's impacts
then I can communicate it to my team. My goals are to help the team understand
the change and prepare for it mentally and emotionally. To do this I'm upfront
about the costs the change will incur. I make sure that they know I've already
communicated those costs to the people and if possible I detail how I've
negotiated ways to mitigate or handle those costs. I also make sure I listen.
Just because I've done my homework first and tried to anticipate all the
impacts doesn't mean there isn't something I missed or was unaware of. If I
learn anything new from the team then I commit to communicate it to leadership.
Both the team and the company leadership need to know that I am an effective
translator, and they can trust me to accurately represent their needs to each
other.

## Sudden change

Sometimes change comes suddenly. Sometimes the environment for the company
changes so fast no one sees it coming until it's right on top of them. Maybe
communication lines break down in a place outside my control. Perhaps I just
drop the ball. When that happens first I have to accept it and then I need to
follow the same playbook but on an accelerated timeline. I might have to tell
the team that I'm working to understand the change same as them and then commit
to follow up with them when I learn more. If I've done my job before this then
I'll have earned enough trust for myself and the company that they'll wait for
that feedback and withhold judgement. The company will be able to trust me to
manage the team's response to unexpected change as well which reduces stress
for everyone involved.

# Change is necessary

Change is a necessary part of growth at a company. It doesn't have to be
negative but if the change isn't properly managed and communicated then by
default that change will tend to produce negative attitudes. As an
intermediator being empathetic and understanding how that change will impact
both sides will go a long way toward change producing positive outcomes instead
of bad ones.