+++
title = "Perception is Sticky"
date = 2020-07-19
[taxonomies]
tags = [
    "perception",
    "leadership",
]
+++
# Perception can make or break your culture

**Perception**:
> a mental image;
> quick, acute, and intuitive cognition;
> capacity for comprehension;
> [Merriam-Webster](https://www.merriam-webster.com/dictionary/perception)

Perception is our word for how people experience and comprehend the world
around them. When you are in leadership, understanding how people perceive
their workplace environment informs how you guide them. Managing that
perception will in part determine how effective you are as a manager.
Perception forms from experience. Our historical experience built our
intuitions about current experience. Managing how that historical experience
impacts perception of current events is a part of leadership.

## Perception is sticky

Perception tends to be sticky. It's formed by historical context and experience
and it is preserved by our tendency toward [confirmation
bias](https://en.wikipedia.org/wiki/Confirmation_bias). Once we have a
particular perception we tend to notice facts and events that support that
perception and discount the ones that don't. As a result, when a negative
perception forms in someone it can be particularly challenging to dislodge it.
Every misstep, every event or action that supports the perception is
magnified and held up as an indication that nothing has really changed. While
every attempt to address the problems and improve is forgotten or thought to be
of little importance.

It's in our best interest as managers to avoid allowing a negative perception
to take hold. Once they do, you may never be able to dislodge them. It's very
hard to recover from the formation of a negative perception. It will color the
culture and will poison the intuitions of your employees until it is changed.

## Perception is communicable

When we encounter a new situation, such as a new job, we look to those around
us to help develop our intuitions about what to expect. We don't have the
experience to inform our intuitions yet, so we rely on the experience of
others. If the prevalent perception of everyone is negative then we'll
gravitate toward a negative perception as well.

Once we begin to drift that way, then our confirmation bias kicks in and helps
to push us even further in that direction. It takes a lot of effort to go
against that cultural drift once it starts. Both the sticky and communicable
natures of perception serve to make it one of the things that can make or break
a culture. Unfortunately, there is only about a 50/50 chance that you'll be
starting with positive perception from the beginning. Chances are you'll be
starting out with a handicap.

## Perception is rarely a reflection of reality

Our perception is affected by a lot of internal factors. We are quite good at
rationalizing our own beliefs and justifying them. We also aren't usually in
possession of a full understanding of everything we experience. Our perception
is colored as a result. Both negative and positive perceptions tend to be somewhat
misinformed. A negative perception will usually blow things out of proportion.
It will paint things in an overly negative light and discount the positive
aspects of a situation. A positive perception will downplay certain events
and rationalize others.

Perception can create worry where it's not warranted or it can create
unrealistic hope. It colors our reality in ways that can prevent rational and
realistic expectations. The more out of line with reality a perception is the
more incorrect the reactions to events will be.

# Great leaders shift perceptions

Great leaders demonstrate a capacity to manage the perceptions and the
intuitions of those they lead. In a sense managing perception is about causing
a paradigm shift in how people approach their situation. Sometimes the shift is
big and sometimes it is small. I think the best leaders work to shift
perception in ways that better match reality. A perception that is closer in
line with reality leads to better outcomes. It reduces blind spots and allows
an organization to react appropriately to its environment.

## Acknowledging the historical context

You can't shift perception without first acknowledging why the current one
formed. The first step to correcting bad perception is to acknowledge that it
exists for a reason. If the perception is lingering after a previous bad
reality then before you can show that the reality has changed you have to
acknowledge the bad reality that came before. If the perception is caused by
poor communication of reality then acknowledging that failure is the first step
to correcting it.

Shifting someone's perception is much harder if you try to pretend the
perception doesn't exist. You have to confront the perception and acknowledge
the causes to generate enough of a shock to begin moving them in another
direction.

## Highlighting additional context

After acknowledging the cause of incorrect perceptions, you need to work to
counteract our confirmation bias. Highlighting the context that gets ignored.
Emphasizing the importance of context that gets downplayed. This gradually
begins to shift perception. There is no shortcut here. It takes consistency and
time. You won't shift perception overnight. But if you stay consistent and
honest, eventually perception will be more in line with reality.

## Recognizing their own perception

Great leaders recognize they also have perceptions that can be just as sticky
as the people they lead. If the problem is that your perception is out of line
with reality, then you won't be able to work to keep others perception in line
with reality. We have just as much of a tendency toward confirmation bias, and
we need to work just as hard to counteract it. Sometimes, when the perceptions
of those you lead differ from yours it's because you are the one who needs an
adjustment.